nxt.peer

## Enum Peers.Event

- java.lang.Object
- - java.lang.Enum<Peers.Event>
  - - nxt.peer.Peers.Event

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Peers.Event>
  Enclosing class:
    Peers

      public static enum Peers.Event
      extends java.lang.Enum<Peers.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_INBOUND`
    `ADDED_ACTIVE_PEER`
    `BLACKLIST`
    `CHANGED_ACTIVE_PEER`
    `CHANGED_SERVICES`
    `DEACTIVATE`
    `DOWNLOADED_VOLUME`
    `NEW_PEER`
    `REMOVE`
    `REMOVE_INBOUND`
    `UNBLACKLIST`
    `UPLOADED_VOLUME`
    `WEIGHT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Peers.Event` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Peers.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLACKLIST

          public static final Peers.Event BLACKLIST

    - #### UNBLACKLIST

          public static final Peers.Event UNBLACKLIST

    - #### DEACTIVATE

          public static final Peers.Event DEACTIVATE

    - #### REMOVE

          public static final Peers.Event REMOVE

    - #### DOWNLOADED_VOLUME

          public static final Peers.Event DOWNLOADED_VOLUME

    - #### UPLOADED_VOLUME

          public static final Peers.Event UPLOADED_VOLUME

    - #### WEIGHT

          public static final Peers.Event WEIGHT

    - #### ADDED_ACTIVE_PEER

          public static final Peers.Event ADDED_ACTIVE_PEER

    - #### CHANGED_ACTIVE_PEER

          public static final Peers.Event CHANGED_ACTIVE_PEER

    - #### NEW_PEER

          public static final Peers.Event NEW_PEER

    - #### ADD_INBOUND

          public static final Peers.Event ADD_INBOUND

    - #### REMOVE_INBOUND

          public static final Peers.Event REMOVE_INBOUND

    - #### CHANGED_SERVICES

          public static final Peers.Event CHANGED_SERVICES

  - ### Method Detail

    - #### values

          public static Peers.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Peers.Event c : Peers.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Peers.Event valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null